package com.realnet.stopwatch.Services;
import com.realnet.stopwatch.Repository.StopwatchRepository;
import com.realnet.stopwatch.Entity.Stopwatch
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class StopwatchService {
@Autowired
private StopwatchRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Stopwatch Savedata(Stopwatch data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Stopwatch save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Stopwatch> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Stopwatch> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Stopwatch> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Stopwatch getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Stopwatch update(Stopwatch data,Integer id) {
	Stopwatch old = Repository.findById(id).get();
old.setElapsedtime(data.getElapsedtime());

final Stopwatch test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
